%define upstream_name    Module-Package
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Hands on Guide
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::All)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Module::Install::AuthorRequires)
BuildRequires: perl(Module::Install::ManifestSkip)
BuildRequires: perl(Moo)
BuildArch: noarch

%description
This module is a drop-in replacement for the Module::Install manpage. It
does everything Module::Install does, but just a bit better.

Actually this module is simply a wrapper around Module::Install. It
attempts to drastically reduce what goes in a Makefile.PL, while at the
same time, fixing many of the problems that people have had with
Module::Install (and other module frameworks) over the years.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Jan 30 2012 shlomif <shlomif> 0.300.0-1.mga2
+ Revision: 203518
- Correct a typo
- imported package perl-Module-Package


* Tue Dec 27 2011 cpan2dist 0.30-1mga
- initial mageia release, generated with cpan2dist
